CMSIS DSP Software Library: Data Fields

### - a -

- A_f32 : arm_matrix_example_f32.c
- Ak : arm_convolution_example_f32.c
- arm_linear_interep_table : arm_linear_interp_example_f32.c
- armBitRevTable : arm_common_tables.c
- armRecipTableQ15 : arm_common_tables.c
- armRecipTableQ31 : arm_common_tables.c
- AT_f32 : arm_matrix_example_f32.c
- ATMA_f32 : arm_matrix_example_f32.c
- ATMAI_f32 : arm_matrix_example_f32.c
- AxB : arm_convolution_example_f32.c

### - b -

- B_f32 : arm_matrix_example_f32.c
- biquadStateBand1Q31 : arm_graphic_equalizer_example_q31.c
- biquadStateBand2Q31 : arm_graphic_equalizer_example_q31.c
- biquadStateBand3Q31 : arm_graphic_equalizer_example_q31.c
- biquadStateBand4Q31 : arm_graphic_equalizer_example_q31.c
- biquadStateBand5Q31 : arm_graphic_equalizer_example_q31.c
- Bk : arm_convolution_example_f32.c
- blockSize : arm_variance_example_f32.c , arm_sin_cos_example_f32.c , arm_fir_example_f32.c

### - c -

- coeffTable : arm_graphic_equalizer_example_q31.c
- cos_factors_128 : arm_dct4_init_f32.c
- cos_factors_2048 : arm_dct4_init_f32.c
- cos_factors_512 : arm_dct4_init_f32.c
- cos_factorsQ15_128 : arm_dct4_init_q15.c
- cos_factorsQ15_2048 : arm_dct4_init_q15.c
- cos_factorsQ15_512 : arm_dct4_init_q15.c
- cos_factorsQ31_128 : arm_dct4_init_q31.c
- cos_factorsQ31_2048 : arm_dct4_init_q31.c
- cos_factorsQ31_512 : arm_dct4_init_q31.c
- cosOutput : arm_sin_cos_example_f32.c
- cosSquareOutput : arm_sin_cos_example_f32.c
- cosTable : arm_cos_f32.c , arm_sin_cos_f32.c
- cosTableQ15 : arm_cos_q15.c
- cosTableQ31 : arm_sin_cos_q31.c , arm_cos_q31.c

### - d -

- doBitReverse : arm_fft_bin_example_f32.c

### - e -

- err_signal : arm_signal_converge_example_f32.c
- errOutput : arm_signal_converge_example_f32.c

### - f -

- fftSize : arm_fft_bin_example_f32.c
- FIRCoeff_f32 : arm_signal_converge_example_f32.c
- firCoeffs32 : arm_fir_example_f32.c
- firStateF32 : arm_fir_example_f32.c , arm_signal_converge_example_f32.c

### - g -

- gainDB : arm_graphic_equalizer_example_q31.c

### - i -

- ifftFlag : arm_fft_bin_example_f32.c
- inputQ31 : arm_graphic_equalizer_example_q31.c

### - l -

- lmsNorm_instance : arm_signal_converge_example_f32.c
- lmsNormCoeff_f32 : arm_signal_converge_example_f32.c
- lmsStateF32 : arm_signal_converge_example_f32.c
- LPF_instance : arm_signal_converge_example_f32.c

### - m -

- max_marks : arm_class_marks_example_f32.c
- mean : arm_class_marks_example_f32.c
- min_marks : arm_class_marks_example_f32.c
- multOutput : arm_dotproduct_example_f32.c

### - n -

- numBlocks : arm_fir_example_f32.c
- numStudents : arm_class_marks_example_f32.c
- numSubjects : arm_class_marks_example_f32.c

### - o -

- outLen : arm_convolution_example_f32.c
- outputQ31 : arm_graphic_equalizer_example_q31.c

### - r -

- realCoefA : arm_rfft_init_f32.c
- realCoefAQ15 : arm_rfft_init_q15.c
- realCoefAQ31 : arm_rfft_init_q31.c
- realCoefB : arm_rfft_init_f32.c
- realCoefBQ15 : arm_rfft_init_q15.c
- realCoefBQ31 : arm_rfft_init_q31.c
- refDotProdOut : arm_dotproduct_example_f32.c
- refIndex : arm_fft_bin_example_f32.c
- refOutput : arm_fir_example_f32.c
- refVarianceOut : arm_variance_example_f32.c

### - s -

- sinOutput : arm_sin_cos_example_f32.c
- sinSquareOutput : arm_sin_cos_example_f32.c
- sinTable : arm_sin_f32.c , arm_sin_cos_f32.c
- sinTableQ15 : arm_sin_q15.c
- sinTableQ31 : arm_sin_cos_q31.c , arm_sin_q31.c
- snr : arm_convolution_example_f32.c , arm_fir_example_f32.c , arm_graphic_equalizer_example_q31.c , arm_matrix_example_f32.c
- snr1 : arm_linear_interp_example_f32.c
- snr2 : arm_linear_interp_example_f32.c
- srcA_buf_f32 : arm_dotproduct_example_f32.c
- srcALen : arm_convolution_example_f32.c
- srcB_buf_f32 : arm_dotproduct_example_f32.c
- srcBLen : arm_convolution_example_f32.c
- status : arm_sin_cos_example_f32.c , arm_dotproduct_example_f32.c
- std : arm_class_marks_example_f32.c
- student_num : arm_class_marks_example_f32.c

### - t -

- testIndex : arm_fft_bin_example_f32.c
- testInput_f32 : arm_graphic_equalizer_example_q31.c , arm_sin_cos_example_f32.c , arm_variance_example_f32.c , arm_signal_converge_example_f32.c
- testInput_f32_10khz : arm_fft_bin_example_f32.c
- testInput_f32_1kHz_15kHz : arm_fir_example_f32.c
- testInputA_f32 : arm_convolution_example_f32.c
- testInputB_f32 : arm_convolution_example_f32.c
- testInputSin_f32 : arm_linear_interp_example_f32.c
- testLinIntOutput : arm_linear_interp_example_f32.c
- testMarks_f32 : arm_class_marks_example_f32.c
- testOutput : arm_fft_bin_example_f32.c , arm_fir_example_f32.c , arm_graphic_equalizer_example_q31.c , arm_linear_interp_example_f32.c , arm_sin_cos_example_f32.c , arm_class_marks_example_f32.c , arm_dotproduct_example_f32.c
- testRefOutput_f32 : arm_graphic_equalizer_example_q31.c , arm_convolution_example_f32.c , arm_sin_cos_example_f32.c
- testRefSinOutput32_f32 : arm_linear_interp_example_f32.c
- testUnity_f32 : arm_class_marks_example_f32.c
- twiddleCoef : arm_cfft_radix4_init_f32.c
- twiddleCoefQ15 : arm_cfft_radix4_init_q15.c
- twiddleCoefQ31 : arm_cfft_radix4_init_q31.c

### - v -

- var : arm_class_marks_example_f32.c

### - w -

- Weights_128 : arm_dct4_init_f32.c
- Weights_2048 : arm_dct4_init_f32.c
- Weights_512 : arm_dct4_init_f32.c
- WeightsQ15_128 : arm_dct4_init_q15.c
- WeightsQ15_2048 : arm_dct4_init_q15.c
- WeightsQ15_512 : arm_dct4_init_q15.c
- WeightsQ31_128 : arm_dct4_init_q31.c
- WeightsQ31_2048 : arm_dct4_init_q31.c
- WeightsQ31_512 : arm_dct4_init_q31.c
- wire1 : arm_signal_converge_example_f32.c , arm_variance_example_f32.c
- wire2 : arm_variance_example_f32.c , arm_signal_converge_example_f32.c
- wire3 : arm_signal_converge_example_f32.c , arm_variance_example_f32.c

### - x -

- X_f32 : arm_matrix_example_f32.c
- xRef_f32 : arm_matrix_example_f32.c

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines